*[hidden] {
	display: none !important;
}

html {
	width: 100%;
	height: 100%;
	display: flex;
	font-family: sans-serif;
}

body {
	flex: 1;
	display: flex;
	margin: 0;
	background-color: Window;
	color: WindowText;
	-webkit-user-select: none;
}

aside {
	display: flex;
	flex-direction: column;
	width: 20em;
}

main {
	flex-direction: column;
	flex: 1;
	display: flex;
	position: relative;
}

main.processing::after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(100, 100, 100, 0.5);
}

header {
	display: flex;
	font-size: 1em;
	font-weight: bold;
}

div.spacer {
	flex: 1;
}

span#filename {
	flex: 1;
	display: flex;
	justify-content: center;
	align-items: center;
}

span#filename::before {
	display: block;
	width: 1em;
	height: 1em;
	margin-right: 0.5em;
}


span#filename.baseApproved::before {
	content: "";
	background-color: darkgreen;
}

span#filename.baseRejected::before {
	content: "";
	background-color: darkblue;
}

div#assert:not(:empty) {
	font-size: 0.8em;
	padding: 1em;
}

div#frames {
	flex: 1;
	display: flex;
}

iframe#baseFrame, iframe#mainFrame {
	flex: 3;
}

form#tree {
	flex: 1;
	overflow: auto;
	padding: 1em;
	font-size: 0.9em;
}


li.input > input {
	display: none;
}

li.input > label {
	display: block;
	marign: 0.2em 0;
	padding: 0.1em 0.4em 0.1em 0.8em;
	border: solid 1px transparent;
	border-left: none;
}

li.input > input:checked + label {
	background-color: #b5d2fb;
	border-color: lightgrey;
}

div#filters {
	display: flex;
	margin: 0 0.2em;
	background-color: Menu;
	flex: 0 0 2.5em;
	align-items: center;
	font-size: 0.7em;
	padding: 0 0.2em;
}

div#filters::before {
	font-family: FontAwesome;
	content: '\f0b0 ';
	font-size: 1.4em;
	margin-right: 0.2em;
}

button, [role=button] {
	-webkit-appearance: none;
	background-color: ButtonHighlight;
	margin: 0.2em;
	width: 2em;
	height: 2em;
	padding: 0;
	border: solid 1px ButtonShadow;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1em;
}

button, [role=button] {
	font-family: 'FontAwesome';
}

button[disabled], [role=button][disabled] {
	color: graytext !important;
}

button:active, [role=button]:active, [role=button]:checked {
	background-color: Menu;
}

input.filter.conflict::before { content: '\f12a'; }

button#approve::before, input.filter.approved::before { content: '\f00c'; }

button#reject::before, input.filter.rejected::before { content: '\f00d'; }

input#tools::before { content: '\f0ad'; }

input.filter.error::before { content: '\f071'; }

button#previous::before { content: '\f048'; }

button#test::before, button#testFiltered::before { content: '\f013'; }

button#next::before { content: '\f051'; }

button#externalView::before { content: '\f08e'; }

input#splitView::before { content: '\f0db'; }

input#sourceView::before { content: '\f121'; }

.conflict { color: darkmagenta; }

.approved { color: darkgreen; }

.rejected { color: darkblue; }

.error { color: firebrick; }

.tested { color: dimgrey; }

.processing { color: black; }

span.count:not(.processing) {
	margin-right: 0.2em;
}

div#toolsMenu {
	display: none;
	position: absolute;
	background-color: Menu;
	border: solid 1px ButtonShadow;
	margin-top: 2.2em;
	right: 0;
	flex-direction: column;
}

div#toolsMenu > button {
	width: auto;
	padding: 0 0.4em;
	font-family: sans-serif;
	font-size: 0.8em;
	border: none;
	background-color: Menu;
	margin: 0.2em 0;
}

div#toolsMenu > button:hover {
	background-color: Highlight;
}

input#tools:checked + div#toolsMenu {
	display: flex;
}


div#notePanel {
	flex: 1 0 10em;
	display: flex;
	flex-direction: column;
	border-top: solid 1px ButtonShadow;
}

textarea#noteText {
	flex: 1;
	padding: 0.5em;
	resize: none;
}

div#noteToolbar {
	background: Menu;
	display: flex;
	font-size: 0.8em;
}

input#note::before { content: '\f044'; }
input#editNote::before { content: '\f040'; }
input#editNote:checked::before { content: '\f00c'; }
button#deleteNote::before { content: '\f1f8'; }


li.input.note > label::after {
	font-family: FontAwesome;
	content: '\A0\f24a';
	font-size: 0.6em;
	vertical-align: middle;
}
